Package com.ads.mm.etl.xml.mapping

# Class MMDBTable

java.lang.Object
com.ads.mm.etl.xml.mapping.MMUUID
com.ads.mm.etl.xml.mapping.MMDBTable

All Implemented Interfaces:
  `MMDBValidator`

public class MMDBTable extends MMUUID implements MMDBValidator

- ## Field Summary

  ### Fields inherited from class com.ads.mm.etl.xml.mapping.MMUUID

  `_associatedIDs, _associatedUUIDs, uniqueName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMDBTable(MMMappingUtil mappingUtil, String tabName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addColumn(MMDBColumn mmdbColumn)`
  `MMDBColumn`
  `addColumn(String srcColumnName)`
  `void`
  `addOrphanColumn(MMDBColumn mmdbSourceColumn)`
  `void`
  `copyProperties(MMDBTable tgtTable)`
  `MMDBColumn`
  `findColumn(String srcColumnName)`
  `MMDBColumn`
  `findColumn(String srcColumnName, String xPath)`
  `String`
  `getBusTableEntityType()`
  `MMColumnMap`
  `getColumnMap()`
  `String`
  `getCompleteName()`
  `String`
  `getDeclarationPath()`
  `String`
  `getEntityUid()`
  `String`
  `getId()`
  `MMDBColumn`
  `getLastLookupOn()`
  `MMColumnMap`
  `getOrphanColumnsMap()`
  `MMDBEnvironment`
  `getParentEnvironment()`
  `static int`
  `getPreserveCount()`
  `int`
  `getPreservedId(int preserveCount)`
  `String`
  `getSchemaName()`
  `String`
  `getTableAlias()`
  `String`
  `getTableClass()`
  `String`
  `getTableName()`
  `String`
  `getTableType()`
  `boolean`
  `isColumnDerived()`
  `boolean`
  `isCopyColumnRequired()`
  `boolean`
  `isLookupUsed()`
  `boolean`
  `isMultiCastRequired()`
  `boolean`
  `isUnionAllRequired()`
  `boolean`
  `isValid()`
  `void`
  `setBusTableEntityType(String busTableEntityType)`
  `void`
  `setColumnDerived(boolean columnDerived)`
  `void`
  `setCopyColumnRequired(boolean copyColumnRequired)`
  `void`
  `setDeclarationPath(String declarationPath)`
  `void`
  `setEntityUid(String entityUid)`
  `void`
  `setId(String id)`
  `void`
  `setLastLookupOn(MMDBColumn lastLookupOn)`
  `void`
  `setLookupUsed(boolean lookupUsed)`
  `void`
  `setMultiCastRequired(boolean multiCastRequired)`
  `void`
  `setOrphanColumnsMap(MMColumnMap orphanColumnsMap)`
  `void`
  `setParentEnvironment(MMDBEnvironment parentEnvironment)`
  `static void`
  `setPreserveCount(int aPreserveCount)`
  `void`
  `setSchemaName(String schemaName)`
  `void`
  `setTableAlias(String tableAlias)`
  `void`
  `setTableClass(String tableClass)`
  `void`
  `setTableName(String tabName)`
  `void`
  `setTableType(String tableType)`
  `void`
  `setUnionAllRequired(boolean unionRequired)`
  `void`
  `toString(StringBuilder sbu)`
  `String`
  `trimName(String name)`

  ### Methods inherited from class com.ads.mm.etl.xml.mapping.MMUUID

  `addAssociatedCrossID, addAssociatedID, addAssociatedUUID, getAssociatedCrossID, getAssociatedID, getAssociatedUUID, getUniqueName, getUUID, setAssociatedIDCount, setUniqueName, setUUID`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MMDBTable

    public MMDBTable(MMMappingUtil mappingUtil, String tabName)

- ## Method Details

  - ### getTableName

    public String getTableName()

  - ### getDeclarationPath

    public String getDeclarationPath()

  - ### setDeclarationPath

    public void setDeclarationPath(String declarationPath)

  - ### getEntityUid

    public String getEntityUid()

  - ### setEntityUid

    public void setEntityUid(String entityUid)

  - ### setTableName

    public void setTableName(String tabName)

  - ### trimName

    public String trimName(String name)

  - ### toString

    public void toString(StringBuilder sbu)

  - ### addColumn

    public MMDBColumn addColumn(String srcColumnName)

  - ### addColumn

    public void addColumn(MMDBColumn mmdbColumn)

  - ### findColumn

    public MMDBColumn findColumn(String srcColumnName)

  - ### findColumn

    public MMDBColumn findColumn(String srcColumnName, String xPath)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getColumnMap

    public MMColumnMap getColumnMap()

  - ### getPreserveCount

    public static int getPreserveCount()

  - ### setPreserveCount

    public static void setPreserveCount(int aPreserveCount)

  - ### getPreservedId

    public int getPreservedId(int preserveCount)

  - ### getParentEnvironment

    public MMDBEnvironment getParentEnvironment()

  - ### setParentEnvironment

    public void setParentEnvironment(MMDBEnvironment parentEnvironment)

  - ### isColumnDerived

    public boolean isColumnDerived()

  - ### setColumnDerived

    public void setColumnDerived(boolean columnDerived)

  - ### isUnionAllRequired

    public boolean isUnionAllRequired()

  - ### setUnionAllRequired

    public void setUnionAllRequired(boolean unionRequired)

  - ### isMultiCastRequired

    public boolean isMultiCastRequired()

  - ### setMultiCastRequired

    public void setMultiCastRequired(boolean multiCastRequired)

  - ### isValid

    public boolean isValid()
    Specified by:
      `isValid` in interface `MMDBValidator`

  - ### getOrphanColumnsMap

    public MMColumnMap getOrphanColumnsMap()
    Returns:
      the _orphanColumnsMap

  - ### setOrphanColumnsMap

    public void setOrphanColumnsMap(MMColumnMap orphanColumnsMap)
    Parameters:
      `orphanColumnsMap` - the _orphanColumnsMap to set

  - ### addOrphanColumn

    public void addOrphanColumn(MMDBColumn mmdbSourceColumn)

  - ### isCopyColumnRequired

    public boolean isCopyColumnRequired()
    Returns:
      the copyColumnRequired

  - ### setCopyColumnRequired

    public void setCopyColumnRequired(boolean copyColumnRequired)
    Parameters:
      `copyColumnRequired` - the copyColumnRequired to set

  - ### isLookupUsed

    public boolean isLookupUsed()
    Returns:
      the lookupUsed

  - ### setLookupUsed

    public void setLookupUsed(boolean lookupUsed)
    Parameters:
      `lookupUsed` - the lookupUsed to set

  - ### getLastLookupOn

    public MMDBColumn getLastLookupOn()
    Returns:
      the lastLookupOn

  - ### setLastLookupOn

    public void setLastLookupOn(MMDBColumn lastLookupOn)
    Parameters:
      `lastLookupOn` - the lastLookupOn to set

  - ### getSchemaName

    public String getSchemaName()
    Returns:
      the schemaName

  - ### setSchemaName

    public void setSchemaName(String schemaName)
    Parameters:
      `schemaName` - the schemaName to set

  - ### getCompleteName

    public String getCompleteName()

  - ### copyProperties

    public void copyProperties(MMDBTable tgtTable)

  - ### getTableClass

    public String getTableClass()
    Returns:
      the tableClass

  - ### setTableClass

    public void setTableClass(String tableClass)
    Parameters:
      `tableClass` - the tableClass to set

  - ### getTableAlias

    public String getTableAlias()
    Returns:
      the tableAlias

  - ### setTableAlias

    public void setTableAlias(String tableAlias)
    Parameters:
      `tableAlias` - the tableAlias to set

  - ### getTableType

    public String getTableType()

  - ### setTableType

    public void setTableType(String tableType)

  - ### getBusTableEntityType

    public String getBusTableEntityType()

  - ### setBusTableEntityType

    public void setBusTableEntityType(String busTableEntityType)